X509_CMP_TIME(3)

NAME
X509_cmp_time - X509 time functions

SYNOPSIS
 X509_cmp_time(const ASN1_TIME *asn1_time, time_t *cmp_time);

DESCRIPTION
X509_cmp_time() compares the ASN1_TIME in asn1_time with the time in <cmp_time>.

asn1_time must satisfy the ASN1_TIME format mandated by RFC 5280, i.e., its format must be either YYMMDDHHMMSSZ or YYYYMMDDHHMMSSZ.

If cmp_time is NULL the current time is used.

BUGS
Unlike many standard comparison functions, X509_cmp_time returns 0 on error.

RETURN VALUES
X509_cmp_time() returns -1 if asn1_time is earlier than, or equal to, cmp_time, and 1 otherwise. It returns 0 on error.

COPYRIGHT
Copyright 2017-2018 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.